SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
SLNet::VariableListDeltaTracker::VariableLastValueNode Struct Reference

`#include <slikenet/VariableListDeltaTracker.h>`

## Public Member Functions

| VariableLastValueNode ()
| VariableLastValueNode (const unsigned char *data, int _byteLength)
| ~VariableLastValueNode ()

## Public Attributes

char * | lastData
unsigned int | byteLength
bool | isDirty

## Detailed Description

Definition at line 131 of file VariableListDeltaTracker.h.

## Constructor & Destructor Documentation

VariableListDeltaTracker::VariableLastValueNode::VariableLastValueNode | ( |  | ) |

Definition at line 42 of file VariableListDeltaTracker.cpp.

References lastData.

VariableListDeltaTracker::VariableLastValueNode::VariableLastValueNode | ( | const unsigned char * | data,
|  | int | _byteLength
| ) |  |

Definition at line 46 of file VariableListDeltaTracker.cpp.

References _FILE_AND_LINE_, and rakMalloc_Ex.

VariableListDeltaTracker::VariableLastValueNode::~VariableLastValueNode | ( |  | ) |

Definition at line 53 of file VariableListDeltaTracker.cpp.

## Member Data Documentation

unsigned int SLNet::VariableListDeltaTracker::VariableLastValueNode::byteLength

Definition at line 137 of file VariableListDeltaTracker.h.

bool SLNet::VariableListDeltaTracker::VariableLastValueNode::isDirty

Definition at line 138 of file VariableListDeltaTracker.h.

char* SLNet::VariableListDeltaTracker::VariableLastValueNode::lastData

Definition at line 136 of file VariableListDeltaTracker.h.

Referenced by VariableLastValueNode().

The documentation for this struct was generated from the following files:

- Source/include/slikenet/VariableListDeltaTracker.h
- Source/src/VariableListDeltaTracker.cpp